Bug 156437 - [PATCH] java/java3d: make it available for java/openjdk
Summary: [PATCH] java/java3d: make it available for java/openjdk
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sahil Tandon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-16 08:10 UTC by Rainer Hurling
Modified: 2011-05-21 22:20 UTC (History)
0 users

See Also:


Attachments
file.diff (316 bytes, patch)
2011-04-16 08:10 UTC, Rainer Hurling
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling freebsd_committer 2011-04-16 08:10:12 UTC
At the moment it is not possible to use java/java3d with java/openjdk6. With only a small patch this could be changed.

Fix: See patch above (only tested on 9.0-CURRENT amd64):



Patch attached with submission follows:
How-To-Repeat: Install java/openjdk6 and afterwards try to install java/java3d.
Comment 1 Edwin Groothuis freebsd_committer 2011-04-16 08:10:20 UTC
Maintainer of java/java3d,

Please note that PR ports/156437 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/156437

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-04-16 08:10:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Jonathan Chen 2011-05-06 08:44:31 UTC
Approved.
-- 
Jonathan Chen <jonc@chen.org.nz>
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2011-05-06 15:26:19 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 dfilter service freebsd_committer 2011-05-21 22:17:47 UTC
sahil       2011-05-21 21:17:38 UTC

  FreeBSD ports repository

  Modified files:
    java/java3d          Makefile 
  Log:
  Add 'openjdk' to the list of suitable JDK port vendors.
  
  PR:             ports/156437
  Submitted by:   Rainer Hurling <rhurlin@gwdg.de>
  Approved by:    Jonathan Chen <jonc@chen.org.nz> (maintainer)
  
  Revision  Changes    Path
  1.14      +1 -1      ports/java/java3d/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Sahil Tandon freebsd_committer 2011-05-21 22:17:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

Take.
Comment 7 Sahil Tandon freebsd_committer 2011-05-21 22:18:10 UTC
State Changed
From-To: open->closed

Committed. Thanks!